@echo *** DTS 3rd party XiaoMi Package Installation for AMD ***
pushd "%~dp0"

@echo *** DTS APO4x Extension Package installation ***
pushd "%~dp0"
cd "%~dp0DTS_UWP_APO4x_MSFT_SIGNED_Xiaomi_EXT_1_1_44_0_beta"
pnputil -a *.inf /install

@echo *** DTS APO4x Core Package installation ***
pushd "%~dp0"
cd "%~dp0DTS_UWP_APO4x_Core_MSFT_SIGNED_1_6_9_0_20H1_beta"
pnputil -a *.inf /install

@echo *** DTS APO4x Service installation ***
pushd "%~dp0"
cd "%~dp0DTS_UWP_APO4x_RPCService_MSFT_SIGNED_1_6_4_0_20H1_beta"
pnputil -a *.inf /install

@echo *** DTS Audio Processing HSA SWC installation ***
pushd "%~dp0"
cd "%~dp0DAP_UWP_APO4x_HSA_MSFT_SIGNED_1_5_3_1_20H1_beta"
pnputil -a *.inf /install

echo off
if %errorlevel% GEQ 1 (
  echo ====Fail[%errorlevel%],  %date% %time% DTS_Driver Fail 
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%],  %date% %time% DTS_Driver Pass
echo on

timeout /t 10 /nobreak

ping 127.0.0.1 -n 3

@echo Done

